GET
/v1/listings
const url = 'https://developer.kleinanzeigen.de/api/goods/v1/listings';const options = { method: 'GET', headers: {'HttpHeaders.AUTHORIZATION': 'eyJhbGciOiJIUzI1NiIsInR5...'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://developer.kleinanzeigen.de/api/goods/v1/listings \ --header 'HttpHeaders.AUTHORIZATION: eyJhbGciOiJIUzI1NiIsInR5...'Retrieves all listings belonging to the authenticated user within the consumer goods category
Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” HttpHeaders.AUTHORIZATION
required
Responses
Section titled “ Responses ”Successfully returned user listings
Media type application/json
string
Example
[ { "uuid": "dfe2ec14-56ec-40a1-9837-d777d850347b", "category": "Spielzeug", "title": "My Listing", "description": "Description of my listing", "attributes": { "art": "actionfiguren", "condition": "like_new", "versand": "ja" }, "adType": "OFFER", "adPrice": { "type": "FIXED", "amount": 100 }, "userId": "11111111-k6gd-4113-b395-5459ec678ddd", "email": "john@abc.com", "phoneNumber": "123456789", "customReference": "4345339", "contactPerson": "John Doe", "buyNow": false, "urls": [] }]